summaryrefslogtreecommitdiff
path: root/src/benc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/benc.sh')
-rwxr-xr-xsrc/benc.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/src/benc.sh b/src/benc.sh
new file mode 100755
index 0000000..e2f8075
--- /dev/null
+++ b/src/benc.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+TEST_DATA=$1
+AEC=./aec
+if [ ! -f bench.dat ]; then
+ rm -f typical.dat
+ $AEC -d -n16 -j64 -r256 -m $TEST_DATA typical.dat
+ for i in $(seq 0 499);
+ do
+ cat typical.dat >> bench.dat
+ done
+ rm -f typical.dat
+fi
+rm -f bench.rz
+utime=$(./utime $AEC -n16 -j64 -r256 -m bench.dat bench.rz 2>&1)
+bsize=$(wc -c bench.dat | awk '{print $1}')
+perf=$(echo "$bsize/1048576/$utime" | bc)
+echo "*** Encoding with $perf MiB/s user time ***"